<?php
if (!isset($alc_admin_part)) die('<br>Access denied '.basename(__FILE__));
if (!isset($alc_controller)) die('<br>Failed to load controller. Work program aborted '.basename(__FILE__));

if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'faq')) {
	$context_faq = '';
	if (alc_common_user_access('faq')) {
		$lines_in_table = $alc_controller->module_func_exec('faq', 'get_records_count_for_user', $alc_rid);
		if ($lines_in_table) {
			$u_page_lines = (/*$alc_item_type == 'faq' or*/ $alc_rid) ? $alc_controller->module_func_exec('constants', 'get_constant', 'u_page_lines') : $alc_controller->module_func_exec('constants', 'get_constant', 'u_main_page_lines');
			$u_page_lines = $u_page_lines * 4;
			// cache params
			$cache_dir = $alc_controller->module_get_prop('faq', 'table_name');
			$cache_name = $alc_rid.$alc_page.$alc_item_type.$alc_item_id.'faq_plugin';
			if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'cache') and ($s = $alc_controller->module_func_exec('cache', 'get_cache', $cache_dir, $cache_name)) !== false) {
				$rows = alc_common_unserialize($s);
				$context_faq .= $alc_controller->module_func_exec('cache', 'cache_mark');
			} else {
				$rows = $alc_controller->module_func_exec('faq', 'get_records_for_user', $alc_rid, $alc_item_id, $alc_page, $u_page_lines);
				foreach ($rows as $k => $v) {
					$rows[$k]['actual_url'] = '?rid='.$v['rubric_id'].'&amp;item=faq&amp;item_id='.$v['id'];
				}
				$alc_controller->module_func_exec('cache', 'write_cache', $cache_dir, $cache_name, alc_common_serialize($rows));
			}
			// data
			if (is_array($rows) and count($rows)) {
				$cl = 'faq-container';
				$cl .= (!$alc_rid) ? ' main-data' : ' rubric-data';
				$context_faq .= '<div class="'.$cl.'">';
				$context_faq .= '<!--alc_paginator-->';
				foreach ($rows as $row) {
					if (!$alc_item_id) {
						$row['actual_url'] = alc_common_url_to_furl($row['actual_url']);
						$context_faq .= '<div class="faq-question"><a href="'.$row['actual_url'].'">'.strip_tags($row['question'], '<p>,<strong>,<em>').'</a></div>';
					} else {
						if (!array_key_exists('use_share_buttons', $row) or $row['use_share_buttons']) {
							$context_faq .= alc_common_get_share_buttons();
						}
						$context_faq .= '<div class="faq-item-question">'.$row['question'].'</div>';
						$context_faq .= '<div class="faq-item-answer">'.$row['answer'].'</div>';
						// like buttons
						if ($alc_item_type and $alc_item_id and $alc_controller->module_func_exec('constants', 'get_constant', 'u_like_faq') and $alc_controller->module_func_exec('modules', 'is_module_exists', 'like') and (!array_key_exists('use_like_buttons', $row) or $row['use_like_buttons'])) {
							ob_start();
							require(alc_common_local_path().$alc_controller->module_func_exec('modules', 'get_property', 'like', 'umanager'));
							$context_faq .= ob_get_contents();
							ob_end_clean();
						}
					}
				}
				$context_faq .= '<!--alc_paginator-->';
				$context_faq .= '</div>';
			}
			if ($alc_rid) {
				if (!$alc_item_id) {
					if ($lines_in_table > $u_page_lines) {
						$href = 'rid='.$alc_rid.'&amp;item=faq';
						$pgs = alc_common_paginator($alc_page, ceil($lines_in_table / $u_page_lines), $href, $lines_in_table);
						$context_faq = str_replace('<!--alc_paginator-->', $pgs, $context_faq);
					}
				} else {
					$href = '?rid='.$alc_rid.'&amp;item=faq';
					$href = alc_common_url_to_furl($href);
					$href_title = $alc_controller->module_func_exec('languages', 'get_resource', 'labels', 190).' &quot;'.$alc_controller->module_func_exec('rubrics', 'get_rubric_title', $alc_rid).'&quot;';
					$context_faq .= '<div class="all-items"><a href="'.$href.'">'.$href_title.' &raquo;</a></div>';
					$context_faq = str_replace('<!--alc_paginator-->', '', $context_faq);
				}
			}
		}
	} else {
		if ($alc_controller->module_func_exec('constants', 'get_constant', 'u_interdiction_access_info')) {
			$context_faq .= '<div class="interdiction-access-info">'.$alc_controller->module_func_exec('languages', 'get_resource', 'messages', 53).'</div>';
		}
	}
	if ($context_faq) {
		$context_faq = alc_common_load_module_css_js_files('faq', 'ufaq.css', '').$context_faq;
	}
	echo $context_faq;
}
?>